package Comparador;
/**
 * Clase que encapsula los datos de una persona. 
 * @author FJoaquin (federico.joaquin@cs.uns.edu.ar)
 */
public class Persona {
	
	protected int dni;
	protected String nombres;
	protected String apellidos;
	/**
	 * Inicializa los atributos de la persona.
	 * @param d Número de DNI de la persona.
	 * @param n Nombres de la persona.
	 * @param a Apellidos de la persona.
	 */
	public Persona(int d, String n, String a){
		dni = d;
		nombres = n;
		apellidos = a;
	}
	/***
	 * Retorna el número de DNI de la persona.
	 * @return Número de DNI.
	 */
	public int getDni(){ return dni; }
	/**
	 * Retorna los nombres de la persona.
	 * @return Cadena de caracteres representando los nombres.
	 */
	public String getNombres() { return nombres; }
	/**
	 * Retorna los apellidos de la persona.
	 * @return Cadena de caracteres representando los apellidos.
	 */
	public String getApellidos() { return apellidos; }
	/**
	 * Modifica los nombres de la persona.
	 * @param n Nuevos nombres a establecer.
	 */
	public void setNombres(String n) {nombres = n;}
	/**
	 * Modifica los apellidos de la persona.
	 * @param a Nuevos apellidos a establecer.
	 */
	public void setApellidos(String a) {apellidos = a;}
	/**
	 * Genera una cadena de resumen con el DNI, Apellidos y nombres de la perona.
	 * @return Cadena de caracteres con los datos de la persona.
	 */
	public String toString() { 
		String toReturn;
		toReturn = "DNI: " + dni + " -- ";
		toReturn += "Apellidos: " + apellidos + " -- ";
		toReturn += "Nombres: " + nombres;
		return toReturn;
	}
}
